[Overview][Classes][Index] | Reference for unit 'LazLinkedList' (#lcl)

# TLinkList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lazlinkedlist.pas line 38

`type TLinkList = class`
`protected`
`function CreateItem; virtual; abstract;` |  |
`function GetNewItem;` |  |
`procedure AddAsLast();` |  |
`public`
`property First: TLinkListItem; [r]` |  |
`property Last: TLinkListItem; [r]` |  |
`property Count: Integer; [r]` |  |
`procedure Delete();` |  |
`procedure MoveToLast();` |  |
`procedure Clear;` |  |
`function ConsistencyCheck;` |  |
`constructor Create;` |  |
`destructor Destroy; override;` |  |
`end;`

## Inheritance

`TLinkList` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.